# TSK_FS_DENT Struct Reference

`#include <fs_tools.h>`

## Detailed Description

Generic structure to store the file name information that is stored in a directory.

Most file systems seperate the file name from the metadata, but some do not (such as FAT). This structure contains the name and a pointer to the metadata, if it exists

## Data Fields

char * | name
| The name of the file (in UTF-8).
ULONG | name_max
| The number of bytes allocated to name.
char * | shrt_name
| The short name of the file (FAT and NTFS only) or null (in UTF-8).
ULONG | shrt_name_max
| The number of bytes allocated to shrt_name.
char * | path
| The parent directory name (exists only when the directory was recursed into) (in UTF-8).
unsigned int | pathdepth
| The number of directories in the parent directory.
INUM_T | inode
| Address of the metadata structure that the name points to.
TSK_FS_INODE * | fsi
| Pointer to the metadata structure that the name points to.
TSK_FS_DENT_TYPE_ENUM | ent_type
| File type information (directory, file, etc.).
TSK_FS_DENT_FLAG_ENUM | flags
| Flags that describe allocation status etc.

The documentation for this struct was generated from the following file:

- src/fstools/fs_tools.h